# PhingPhpDocumentorErrorTracker

Extends \ErrorTracker

Phing subclass of the ErrorTracker class provided with PhpDocumentor to work around limitations in PhpDocumentor API.

This class is necessary because PhpDocumentor does directly output errors and warnings occurred during testing for undocumented elements to stdout. This class is injected globally to force PhpDocumentor to use phing's logging mechanism.

Obviously this is far from ideal, but there's also no solution given the inflexibility of the PhpDocumentor design.

author | Timo A. Hummel privat@timohummel.com @author felicitus
version | $Id: 33771f28a2886e13a8d3c38864d6758311c3e18d $
package | phing.tasks.ext.phpdoc

### Methods

## Outputs an error. This is an almost 1:1 copy from PhpDocumentor, we're just processing the error text and send it to phing's logger.

    addError( $num) : \nothing

### Arguments

#### $num

``

integer Number of parameters

### Response

`\nothing`

## Outputs a warning. This is an almost 1:1 copy from PhpDocumentor, we're just processing the warning text and send it to phing's logger.

    addWarning( $num) : \nothing

### Arguments

#### $num

``

integer Number of parameters

### Response

`\nothing`

## Sets the task we're working with. This is necessary since we need to be able to call the method "log".

    setTask(object $task) : \nothing

### Arguments

#### $task

`object`

The task we're working with

### Response

`\nothing`

### Properties

## Reference to the task we're called with

    task : object

var | Reference to the task we're called with

### Type(s)

`object`